import ConfigParser
import io

defaults = """
[buildbot]
url = http://localhost:8080/buildbot/change_hook

[trigger]
koji_build_completed_tasks = rpmlint
docker_build_tasks = dockerautotest
koji_tag_changed_tasks = upgradepath,depcheck
compose_completed_tasks =
valid_arches = x86_64
koji_url = http://koji.fedoraproject.org/kojihub
datagrepper_url = https://apps.fedoraproject.org/datagrepper/raw
execdb_server = http://localhost:5003
type = StreamTrigger
job_logging = False
joblog_file = /var/log/taskotron-trigger/jobs.csv
fuse_delay = 1000 ; seconds
"""

config = ConfigParser.ConfigParser()
config.readfp(io.BytesIO(defaults))
config.read(['/etc/taskotron/trigger.cfg', './conf/trigger.cfg'])


buildbot_url = config.get('buildbot', 'url')

koji_build_completed_tasks = [e.strip() for e in config.get('trigger', 'koji_build_completed_tasks').split(',') if e]
docker_build_tasks = [e.strip() for e in config.get('trigger', 'docker_build_tasks').split(',') if e]
koji_tag_changed_tasks = [e.strip() for e in config.get('trigger', 'koji_tag_changed_tasks').split(',') if e]
compose_completed_tasks = [e.strip() for e in config.get('trigger', 'compose_completed_tasks').split(',') if e]
valid_arches = [e.strip() for e in config.get('trigger', 'valid_arches').split(',') if e]
koji_url = config.get('trigger', 'koji_url')
datagrepper_url = config.get('trigger', 'datagrepper_url')
execdb_server = config.get('trigger', 'execdb_server')
trigger_type = config.get('trigger', 'type')
job_logging = True if config.get('trigger', 'job_logging') == 'True' else False
joblog_file = config.get('trigger', 'joblog_file')
fuse_delay = int(config.get('trigger', 'fuse_delay'))  # seconds
